Page MenuHomeVyOS Platform

VyOS docker container: Cannot configure ethernet interface
Closed, ResolvedPublicBUG

Description

When we run VyOS as docker container and use macvlan as interface for container, we have some errors

vyos@vyos# commit
[ interfaces ethernet eth0 ]
Traceback (most recent call last):
  File "/usr/libexec/vyos/conf_mode/interfaces-ethernet.py", line 416, in <module>
    apply(c)
  File "/usr/libexec/vyos/conf_mode/interfaces-ethernet.py", line 310, in apply
    e.set_link_detect(eth['disable_link_detect'])
  File "/usr/lib/python3/dist-packages/vyos/ifconfig.py", line 371, in set_link_detect
    .format(self._ifname), link_filter)
  File "/usr/lib/python3/dist-packages/vyos/ifconfig.py", line 152, in _write_sysfs
    with open(filename, 'w') as f:
FileNotFoundError: [Errno 2] No such file or directory: '/proc/sys/net/ipv4/conf/eth0/link_filter'

Details

Difficulty level
Normal (likely a few hours)
Version
VyOS 1.3-rolling-202002270217
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)
Issue type
Bug (incorrect behavior)

Event Timeline

Dmitry changed the task status from Open to In progress.Feb 27 2020, 12:38 PM
Dmitry claimed this task.
Dmitry created this task.
Dmitry changed the task status from In progress to Needs testing.Mar 3 2020, 5:05 PM
erkin renamed this task from VyOS docker container: Does not possible to configure ethernet interface to VyOS docker container: Cannot configure ethernet interface.Aug 31 2021, 5:31 PM
erkin set Issue type to Bug (incorrect behavior).